Package org.springframework.format.annotation

# Enum Class NumberFormat.Style

java.lang.Object
java.lang.Enum<NumberFormat.Style>
org.springframework.format.annotation.NumberFormat.Style

All Implemented Interfaces:
  `Serializable`, `Comparable<NumberFormat.Style>`, `Constable`

Enclosing class:
  NumberFormat

public static enum NumberFormat.Style extends Enum<NumberFormat.Style>
Common number format styles.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CURRENCY`
The currency format for the current locale.
`DEFAULT`
The default format for the annotated type: typically 'number' but possibly 'currency' for a money type (for example, `javax.money.MonetaryAmount`).
`NUMBER`
The general-purpose number format for the current locale.
`PERCENT`
The percent format for the current locale.

## Method Summary

Modifier and Type
Method
Description
`static NumberFormat.Style`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NumberFormat.Style[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final NumberFormat.Style DEFAULT
The default format for the annotated type: typically 'number' but possibly 'currency' for a money type (for example, `javax.money.MonetaryAmount`).

Since:
  4.2

### NUMBER

public static final NumberFormat.Style NUMBER
The general-purpose number format for the current locale.

### PERCENT

public static final NumberFormat.Style PERCENT
The percent format for the current locale.

### CURRENCY

public static final NumberFormat.Style CURRENCY
The currency format for the current locale.

## Method Details

### values

public static NumberFormat.Style[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NumberFormat.Style valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null